Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.entitlements.controls
Interface DelegatedRolePolicyManagerControlFacade

    public interface DelegatedRolePolicyManagerControlFacade

Method Summary
`void` | `addGroupsToRole(String roleProviderName, String roleProviderVersion, String webAppName, String roleName, List<String> groups, DelegatedResourceView view, ResourceContext context)` Adds a list of groups to a role definition.
`void` | `addUsersToRole(String roleProviderName, String roleProviderVersion, String webAppName, String roleName, List<String> users, DelegatedResourceView view, ResourceContext context)` Adds a list of users to the specified role definition.
`void` | `createRolePolicy(String roleProviderName, String roleProviderVersion, String webAppName, String roleName, String roleDescription, DelegatedResourceView view, ResourceContext context)` Creates a visitor role.
`SortablePagedResult<String>` | `getGlobalRoles(String roleProviderName, String roleProviderVersion, boolean scope, int pageSize, ResourceContext context)` Get all global roles.
`RolePolicyItem` | `getRolePolicyItem(String roleProviderName, String roleProviderVersion, String webApp, String roleName, ResourceContext context)` This method is used to reteive a Role Policy item from the persistence layer.
`SortablePagedResult<String>` | `getScopedRoles(String roleProviderName, String roleProviderVersion, String webApp, boolean scope, int pageSize, ResourceContext context)` Get all the roles scoped to the specified webapp or enterprise app
`void` | `purgeRole(String roleProviderName, String roleProviderVersion, String webApp, String roleName, ResourceContext context)` This method removes a role and all of its references to any security policies
`void` | `removeGroupsFromRole(String roleProviderName, String roleProviderVersion, String webAppName, String roleName, List<String> groups, DelegatedResourceView view, ResourceContext context)` Removes a list of groups from a role definition.
`void` | `removeRolePolicy(String roleProviderName, String roleProviderVersion, String webAppName, String roleName, DelegatedResourceView view, ResourceContext context)` Method used to delete/remove a visitor role.
`void` | `removeUsersFromRole(String roleProviderName, String roleProviderVersion, String webAppName, String roleName, List<String> users, DelegatedResourceView view, ResourceContext context)` Removes a list of users from the specified role definition.
`void` | `setRoleSegmentLogicalAnd(String roleProviderName, String roleProviderVersion, String webApp, String roleName, boolean val, ResourceContext context)` This method removes a role and all of its references to any security policies

Method Detail

### createRolePolicy

    void createRolePolicy(String roleProviderName,
                          String roleProviderVersion,
                          String webAppName,
                          String roleName,
                          String roleDescription,
                          DelegatedResourceView view,
                          ResourceContext context)
                          throws com.bea.p13n.entitlements.common.PolicyExistsException,
                                 com.bea.p13n.entitlements.common.PolicyCreateException,
                                 com.bea.p13n.entitlements.common.PolicyNotFoundException,
                                 com.bea.p13n.entitlements.common.PolicyException

  Creates a visitor role.

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `webAppName` - The name of the web application.
    `roleName` - The desired name of the role.
    `roleDescription` - The desired description of the role.
    `view` - The resource which access is required to perform this function.
    `context` - the resource context.
  Throws
    `com.bea.p13n.entitlements.common.PolicyExistsException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyException`

### removeRolePolicy

    void removeRolePolicy(String roleProviderName,
                          String roleProviderVersion,
                          String webAppName,
                          String roleName,
                          DelegatedResourceView view,
                          ResourceContext context)
                          throws com.bea.p13n.entitlements.common.PolicyRemoveException,
                                 com.bea.p13n.entitlements.common.PolicyNotFoundException,
                                 com.bea.p13n.entitlements.common.PolicyException

  Method used to delete/remove a visitor role.

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `webAppName` - The WebApp name this role is scoped to.
    `roleName` - The name of the role.
    `view` - The delegated resource required to perform this function.
    `context` - the resource context.
  Throws
    `com.bea.p13n.entitlements.common.PolicyRemoveException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyException`

### addUsersToRole

    void addUsersToRole(String roleProviderName,
                        String roleProviderVersion,
                        String webAppName,
                        String roleName,
                        List<String> users,
                        DelegatedResourceView view,
                        ResourceContext context)
                        throws com.bea.p13n.entitlements.common.PolicyNotFoundException,
                               com.bea.p13n.entitlements.common.PolicyException,
                               com.bea.p13n.entitlements.common.PolicyCreateException,
                               com.bea.p13n.entitlements.common.PolicyExistsException,
                               com.bea.p13n.entitlements.common.PolicyExpressionException

  Adds a list of users to the specified role definition.

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `webAppName` - The web app this role is scoped to.
    `roleName` - The name of this role
    `users` - The list of users to add to the role definition.
    `view` - The delegated resources required to perform this function.
    `context` - the resource context.
  Throws
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`
    `com.bea.p13n.entitlements.common.PolicyExistsException`
    `com.bea.p13n.entitlements.common.PolicyExpressionException`

### addGroupsToRole

    void addGroupsToRole(String roleProviderName,
                         String roleProviderVersion,
                         String webAppName,
                         String roleName,
                         List<String> groups,
                         DelegatedResourceView view,
                         ResourceContext context)
                         throws com.bea.p13n.entitlements.common.PolicyExistsException,
                                com.bea.p13n.entitlements.common.PolicyExpressionException,
                                com.bea.p13n.entitlements.common.PolicyNotFoundException,
                                com.bea.p13n.entitlements.common.PolicyException,
                                com.bea.p13n.entitlements.common.PolicyCreateException

  Adds a list of groups to a role definition.

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `webAppName` - The name of the webapp this role is scoped too.
    `roleName` - The name of the role.
    `groups` - The list of groups to add to the role.
    `view` - The delegated resource required to perform this function.
    `context` - the resource context.
  Throws
    `com.bea.p13n.entitlements.common.PolicyExistsException`
    `com.bea.p13n.entitlements.common.PolicyExpressionException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`

### removeUsersFromRole

    void removeUsersFromRole(String roleProviderName,
                             String roleProviderVersion,
                             String webAppName,
                             String roleName,
                             List<String> users,
                             DelegatedResourceView view,
                             ResourceContext context)
                             throws com.bea.p13n.entitlements.common.PolicyNotFoundException,
                                    com.bea.p13n.entitlements.common.PolicyException,
                                    com.bea.p13n.entitlements.common.PolicyCreateException,
                                    com.bea.p13n.entitlements.common.PolicyExistsException,
                                    com.bea.p13n.entitlements.common.PolicyExpressionException

  Removes a list of users from the specified role definition.

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `webAppName` - The web app this role is scoped to.
    `roleName` - The name of this role
    `users` - The list of users to remove from the role definition.
    `view` - The delegated resources required to perform this function.
    `context` - the resource context.
  Throws
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`
    `com.bea.p13n.entitlements.common.PolicyExistsException`
    `com.bea.p13n.entitlements.common.PolicyExpressionException`

### removeGroupsFromRole

    void removeGroupsFromRole(String roleProviderName,
                              String roleProviderVersion,
                              String webAppName,
                              String roleName,
                              List<String> groups,
                              DelegatedResourceView view,
                              ResourceContext context)
                              throws com.bea.p13n.entitlements.common.PolicyExistsException,
                                     com.bea.p13n.entitlements.common.PolicyExpressionException,
                                     com.bea.p13n.entitlements.common.PolicyNotFoundException,
                                     com.bea.p13n.entitlements.common.PolicyException,
                                     com.bea.p13n.entitlements.common.PolicyCreateException

  Removes a list of groups from a role definition.

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `webAppName` - The name of the webapp this role is scoped too.
    `roleName` - The name of the role.
    `groups` - The list of groups to remove from the role.
    `view` - The delegated resource required to perform this function.
    `context` - the resource context.
  Throws
    `com.bea.p13n.entitlements.common.PolicyExistsException`
    `com.bea.p13n.entitlements.common.PolicyExpressionException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`

### getRolePolicyItem

    RolePolicyItem getRolePolicyItem(String roleProviderName,
                                     String roleProviderVersion,
                                     String webApp,
                                     String roleName,
                                     ResourceContext context)
                                     throws com.bea.p13n.entitlements.common.PolicyNotFoundException,
                                            com.bea.p13n.entitlements.common.PolicyException

  This method is used to reteive a Role Policy item from the persistence layer.

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `webApp` - The webapp the role was created in.
    `roleName` - The name of this role.
    `context` - the resource context.
  Returns
    a RolePolicyItem bean.
  Throws
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyException`

### getScopedRoles

    SortablePagedResult<String> getScopedRoles(String roleProviderName,
                                               String roleProviderVersion,
                                               String webApp,
                                               boolean scope,
                                               int pageSize,
                                               ResourceContext context)
                                               throws com.bea.p13n.entitlements.common.PolicyRefException

  Get all the roles scoped to the specified webapp or enterprise app

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `webApp` - The webapp the roles are pooled against. Pass in `null` to retrieve enterprise app scoped roles.
    `scope` - The scope used to retrieve roles. Pass in `true` to restrict the scope and return only editable roles. Pass in `false` to return all roles.
    `pageSize` - The size of iterator element stored within the PagedResult.
    `context` - the resource context
  Returns
    A PagedResult which contains more iterators. Each iterator represents one page of data.
  Throws
    `com.bea.p13n.entitlements.common.PolicyRefException` - If no roles are found.

### getGlobalRoles

    SortablePagedResult<String> getGlobalRoles(String roleProviderName,
                                               String roleProviderVersion,
                                               boolean scope,
                                               int pageSize,
                                               ResourceContext context)
                                               throws com.bea.p13n.entitlements.common.PolicyRefException

  Get all global roles. Global roles are not domain-scoped roles, but are global to the security realm.

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `scope` - The scope used to retrieve roles. Pass in `true` to restrict the scope and return only editable roles. Pass in `false` to return all roles.
    `pageSize` - The size of iterator element stored within the PagedResult.
    `context` - the resource context
  Returns
    A PagedResult which contains more iterators. Each iterator represents one page of data.
  Throws
    `com.bea.p13n.entitlements.common.PolicyRefException` - If no roles are found.

### purgeRole

    void purgeRole(String roleProviderName,
                   String roleProviderVersion,
                   String webApp,
                   String roleName,
                   ResourceContext context)
                   throws com.bea.p13n.entitlements.common.PolicyNotFoundException,
                          com.bea.p13n.entitlements.common.PolicyException,
                          com.bea.p13n.entitlements.common.PolicyRefException,
                          com.bea.p13n.entitlements.common.PolicyRemoveException,
                          com.bea.p13n.entitlements.common.PolicyCreateException

  This method removes a role and all of its references to any security policies

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `webApp` - The webapp the role was created in.
    `roleName` - The name of the role to delete.
    `context` - the resource context.
  Throws
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyRefException`
    `com.bea.p13n.entitlements.common.PolicyRemoveException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`

### setRoleSegmentLogicalAnd

    void setRoleSegmentLogicalAnd(String roleProviderName,
                                  String roleProviderVersion,
                                  String webApp,
                                  String roleName,
                                  boolean val,
                                  ResourceContext context)
                                  throws com.bea.p13n.entitlements.common.PolicyExistsException,
                                         com.bea.p13n.entitlements.common.PolicyExpressionException,
                                         com.bea.p13n.entitlements.common.PolicyNotFoundException,
                                         com.bea.p13n.entitlements.common.PolicyException,
                                         com.bea.p13n.entitlements.common.PolicyCreateException

  This method removes a role and all of its references to any security policies

  Parameters
    `roleProviderName` - The role provider name this role will be created in.
    `roleProviderVersion` - The role provider version.
    `webApp` - The webapp the role was created in.
    `roleName` - The name of the role to update.
    `val` - `true` for AND, `false` for OR.
    `context` - the resource context.
  Throws
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyRefException`
    `com.bea.p13n.entitlements.common.PolicyExistsException`
    `com.bea.p13n.entitlements.common.PolicyExpressionException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved